nbd_get_opt_mode(3)

NAME
nbd_get_opt_mode - return whether option mode was enabled

SYNOPSIS
 #include <libnbd.h>

 int nbd_get_opt_mode (
       struct nbd_handle *h
     );

DESCRIPTION
Return true if option negotiation mode was enabled on this handle.

RETURN VALUE
This call returns a boolean value.

ERRORS
This function does not fail.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.4.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_GET_OPT_MODE 1

SEE ALSO
nbd_create(3), nbd_set_opt_mode(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA